Subject: Error in set-default-font

From: "Mickey Ferguson" <[email-masked]>
Date: Fri, 5 Jun 2009 16:59:29 -0700

This bug report will be sent to the Free Software Foundation,
not to your local site managers!
Please write in English, because the Emacs maintainers do not have
translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing
list,
and to the gnu.emacs.bug news group.

In GNU Emacs 21.3.1 (i386-mingw-nt5.1.2600)
 of 2004-03-10 on NYAUMO
configured using `configure --with-gcc (3.2)'
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: iso-latin-1
  default-enable-multibyte-characters: t

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

When I execute the following two lines of code:

  (set-default-font
   "-raster-Terminal-bold-r-normal-normal-12-90-96-96-c-*-ms-oemlatin")

emacs changes the size of the window (frame) so that it no longer
displays 80 columns.  Instead it sets it to about 90, although it still
says it's 80 columns.  I set up a line with 100 characters on it.
Before I ran the above command, only the first 80 fit prior to
wrapping.  After running the command, it showed 90 characters.  Yet
eval-buffer for (frame-width) says it's 80.

I know emacs 21.3 is no longer supported, but another user reported that
he saw the same effect when running 22.3.

Recent input:
<mouse-1> <down-mouse-1> <mouse-1> C-SPC C-n C-n M-x 
e v a l SPC r e SPC <return> <help-echo> M-x r e p 
o r t SPC SPC SPC <return>

Recent messages:
(C:\emacs\bin\emacs.exe -q --no-site-file c:\Emacs\site-lisp\MF-Init.el)
For information about the GNU Project and its goals, type C-h C-p.
Mark set
Loading emacsbug...done